Bug 202716 - kernel-xen in fc6t2 & devel do not always boot guest OS
kernel-xen in fc6t2 & devel do not always boot guest OS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 18:32 EDT by manuel wolfshant
Modified: 2009-12-14 15:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 12:47:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
config for xen with non functional kernel (150 bytes, text/plain)
2006-08-15 18:32 EDT, manuel wolfshant
no flags Details
same config, with a functional kernel (143 bytes, text/plain)
2006-08-15 18:34 EDT, manuel wolfshant
no flags Details
xen booting a guest with a non-functional kernel (3.65 KB, text/plain)
2006-08-15 18:37 EDT, manuel wolfshant
no flags Details

  None (edit)
Description manuel wolfshant 2006-08-15 18:32:29 EDT
Created attachment 134268 [details]
config for xen with non functional kernel
Comment 1 manuel wolfshant 2006-08-15 18:32:29 EDT
Description of problem:
I have been trying for several days to create RHEL4 guests hosted in a FC6t2 xen
environment.
The final result is that, although guests created with guest-install.py operate
as they should (unfortunately RHEL cannot be directly installed by this script),
guests created by hand do not boot.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.17-1.2564.fc6
kernel-xen-2.6.17-1.2517.fc6


How reproducible:
always

Steps to Reproduce:
1.create a virtual machine as in the attached example (mycvs2-non_functional)
2.try to boot it, watch it fail
3.replace the kernel on the guest with the one from
http://www.cl.cam.ac.uk/Research/SRG/netos/xen/downloads/xen-3.0-testing-install-x86_64.tgz
(or unstable). enjoy the new VM (mycvs2)
  
Actual results:
guest fails with the message from attach number 3

Expected results:
guest should boot

Additional info:
Intel Corporation E7230 motherboard with D805 processor
this is the LVM used for test
  --- Logical volume ---
  LV Name                /dev/VG1/cvsroot2
  VG Name                VG1
  LV UUID                Ojjfpx-JaSW-LJX6-TOGv-9WNI-P5EO-2Ujgjg
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                2.00 GB
  Current LE             512
  Segments               1
  Allocation             inherit
  Read ahead sectors     0
  Block device           253:7
Comment 2 manuel wolfshant 2006-08-15 18:34:31 EDT
Created attachment 134269 [details]
same config, with a functional kernel

this is basically the same config. I have replaced the kernel-xen from FC6T2
with the one from http://wiki.xensource.com/xenwiki/XenDownloads
Comment 3 manuel wolfshant 2006-08-15 18:37:04 EDT
Created attachment 134271 [details]
xen booting a guest with a non-functional kernel

that is the result obtained after "xen create" when using stock kernel-xen
Comment 5 Matthew Miller 2007-04-06 12:54:43 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 6 Red Hat Bugzilla 2007-07-24 21:32:34 EDT
change QA contact

Note You need to log in before you can comment on or make changes to this bug.